%define major		1
%define libname		%mklibname kdevideo %{major}
%define develname	%mklibname kdevideo -d

%define compile_enable_final 0
%define launchers /etc/dynamic/launchers/tvtuner

%define svn     986125

Summary: 		TV viewer for KDE
Name: 			kdetv
Version: 		0.9.0
Release: 		%mkrel 0.%svn.1
Epoch:          1
Source: 		%{name}-%{version}.%svn.tar.bz2
Group: 			Video
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: 		GPLv2+
URL: 			http://www.kde-apps.org/content/show.php?content=11602
BuildRequires:	kdebase4-devel 
BuildRequires:	mesaglu-devel
BuildRequires:	libxxf86dga-devel
BuildRequires:	libxt-devel
BuildRequires:	libxv-devel
BuildRequires:	desktop-file-utils
BuildRequires:  zvbi-devel
Requires:       kdebase4-runtime
Obsoletes:		kwintv

%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.

%post
update-alternatives --install %{launchers}/kde.desktop tvtuner.kde.dynamic %{launchers}/%{name}.desktop 31
update-alternatives --install %{launchers}/gnome.desktop tvtuner.gnome.dynamic %{launchers}/%{name}.desktop 29

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove tvtuner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %{launchers}/%{name}.desktop
fi

%files 
%defattr(-,root,root)
%{_kde_bindir}/kdetv
%{_kde_bindir}/kdetvv4lsetup
%{_kde_datadir}/apps/kdetv
%{_kde_iconsdir}/hicolor/*/*/*.png
%{_kde_datadir}/applications/kde4/%{name}.desktop
%{_kde_datadir}/apps/profiles/kdetv.profile.xml
%{_kde_datadir}/kde4/services/kdetv/*.desktop
%{_kde_datadir}/kde4/servicetypes/kdetv/*.desktop
%config(noreplace) %{launchers}/%{name}.desktop
%{_kde_libdir}/kde4/kdetv_*
%{_kde_libdir}/kde4/libzvbidecoder.so

#------------------------------------------------   

%define kdetvvideo_major 1
%define libkdetvvideo %mklibname kdetvvideo %kdetvvideo_major

%package -n %libkdetvvideo
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdevideo1 < 1:0.9.0-0.986125.2

%description -n %libkdetvvideo
KDE 4 core library.

%files -n %libkdetvvideo
%defattr(-,root,root)
%_kde_libdir/libkdetvvideo.so.%{kdetvvideo_major}*

#------------------------------------------------   

%define libkdetv_major 1
%define liblibkdetv %mklibname libkdetv %libkdetv_major

%package -n %liblibkdetv
Summary: KDE 4 core library
Group: System/Libraries

%description -n %liblibkdetv
KDE 4 core library.

%files -n %liblibkdetv
%defattr(-,root,root)
%_kde_libdir/liblibkdetv.so.%{libkdetv_major}*

#------------------------------------------------

%package -n %{develname}
Summary:		Kdevideo libraries
Group:			Development/KDE and Qt
License:		LGPLv2+
Requires:		%{libkdetvvideo} = %{epoch}:%{version}-%{release}
Requires:       %{liblibkdetv} = %{epoch}:%{version}-%{release}
Obsoletes:		%{mklibname kdevideo 1 -d}

%description -n %{develname}
These are the files needed to develop applications that use qtvision
libraries.

%files -n %{develname}
%defattr(-,root,root)
%{_kde_libdir}/*.so
%{_kde_libdir}/libkvideoio.a

#--------------------------------------------------------------------

%prep
%setup -q -n %name

%build
%cmake_kde4
%make

%install
cd build
rm -fr %buildroot
%makeinstall_std

chmod 4755 %buildroot/%{_kde_bindir}/kdetvv4lsetup

# Dynamic desktop support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=KdeTv \$devicename
Comment=Kdetv
Exec=%{_kde_bindir}/kdetv
Terminal=false
Icon=kdetv
Type=Application
EOF

%check
for f in %{buildroot}%{_kde_datadir}/applications/kde4/*.desktop ; do
     desktop-file-validate $f
done 

%clean
rm -rf %{buildroot}


%changelog
* Thu Apr 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.9.0-0.986125.1mdv2010.1
+ Revision: 540891
- Adapt to kde packaging policy

* Sat Jun 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.986125.1mdv2010.0
+ Revision: 389619
- Update to svn  ( qt4/kde4 version)

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.8.9-7mdv2009.1
+ Revision: 365541
- rediff simd patch
- reorder sections

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix spec file layout

* Fri Sep 12 2008 Funda Wang <fwang@mandriva.org> 0.8.9-7mdv2009.0
+ Revision: 283949
- fix launcher

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.8.9-6mdv2009.0
+ Revision: 234245
- switch to /opt
- use configure2_5x

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - [FEATURE] Add teletext-plugin support (Bug #35234)

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - fix no-buildroot-tag
    - fix mesaglu-devel BR

* Thu Dec 27 2007 Funda Wang <fwang@mandriva.org> 0.8.9-5mdv2008.1
+ Revision: 138354
- rebuild

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.9-4mdv2008.1
+ Revision: 136135
- fix file list. man I suck today
- more XDG menu category fixes
- argh, I suck
- oops, move the .desktop file INSIDE the buildroot
- updated auto26.patch to fix the test for automake as well as autoconf
- new devel policy
- move XDG menu entry to correct location
- drop legacy menu
- update URL (homepage is dead)
- new license policy
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Group


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 0.8.9-3mdv2007.1
+ Revision: 146365
- tag lang on HTML doc
- fix build with latest autotools
- Import kdetv

* Sun Aug 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.9-2
- add BuildRequires: libxxf86dga-devel libxt-devel libxv-devel

* Mon Aug 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.9-1
- 0.8.9

* Wed Jul 19 2006 Nicolas Lécureuil <neoclust@mandriva.org>1:0.8.8-3mdv2007.0
- Rebuild for new menu && extension
- Use macro for icons

* Sat Sep 10 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-2
- Rebuild

* Sat Aug 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-1mdk
- 0.8.8
- Fix requires

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.7-3mdk
- fix build with simd flags

* Sat Jul 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.7-2mdk
- Rebuild

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.7-1mdk
- 0.8.7

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-3mdk
- Add patch5: fix crash when we select a channel

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-2mdk
- Add patch3: fix kde bug #99049
- Add patch4: fix kde bug #99281

* Sun Jan 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-2mdk
- Fix package

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Reapply Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> changes (sorry)

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Mon Oct 04 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-6mdk
- Fix epoch in -devel Requirement
- remove unusefull requirement

* Wed Sep 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-5mdk
- Fix dynamic icon

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-4mdk
- Use devicename

* Sat Sep 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Add dynamic desktop file

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.2-2mdk
- add BuildRequires: libMesaGLU-devel

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-0.cvs20040725.1mdk
- Use snapshot before official 0.8.2 release

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

